## org.eclipse.emf.cdo.spi.common.id
Class CDOIDLongFactoryImpl.LibraryHandler

    java.lang.Object
      org.eclipse.emf.cdo.spi.common.id.CDOIDLibraryDescriptorImpl
          org.eclipse.emf.cdo.spi.common.id.CDOIDLongFactoryImpl.LibraryHandler

All Implemented Interfaces:
  CDOIDLibraryDescriptor, CDOIDLibraryProvider

Enclosing class:
  CDOIDLongFactoryImpl

    public static final class CDOIDLongFactoryImpl.LibraryHandler

extends CDOIDLibraryDescriptorImpl
implements CDOIDLibraryProvider

Method Summary
`java.io.InputStream` `getContents(java.lang.String libraryName)`
`int` `getSize(java.lang.String libraryName)`

Methods inherited from class org.eclipse.emf.cdo.spi.common.id.CDOIDLibraryDescriptorImpl
`getFactoryName, getLibraryNames, toString, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getSize

    public int getSize(java.lang.String libraryName)

  Specified by:
    `getSize` in interface `CDOIDLibraryProvider`

### getContents

    public java.io.InputStream getContents(java.lang.String libraryName)
                                    throws java.io.IOException

  Specified by:
    `getContents` in interface `CDOIDLibraryProvider`
  Throws:
    `java.io.IOException`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.